/*
     $Revision$
     $Id$

     File:          fac_widget.js
     Description:   Shared clientside functions for /MGT/fac_widget.asp  & /MGT/fac_widget_onpage.asp
*/

$(function() {
    $("#type").on("change", onChange_widget_type);
    onChange_widget_type();

    $("select[id^=ref_key_]").on("change", suggest_widget_name);
    $("#name").on("change", function () { $(this).removeAttr("autofilled"); });
});

function suggest_widget_name()
{
    if (($("#name").val() == "" || $("#name").attr("autofilled") == "1") && $(this).val() > -1)
        $("#name").val(($("#type option:selected").text() + " - " + $(this).find("option:selected").text()).substring(0, 60))
                  .attr("autofilled", "1");
}

// Ook gebruikt in /MGT/fac_widget_onpage.asp
function onChange_widget_type()
{
    var widget_type = $("#type").val() || "WGT";

    // Eerst allemaal tonen
    $("tr").show();
    $("#linkurl").removeClass("required");

    if (typeof onpage_mode != "undefined" && onpage_mode)
        if (widget_type != "WGT")
            $("#widgets").closest("tr").hide();
        else
        { /* Alleen type en widgets tonen */
            $("tr").hide();
            $("#type, #widgets").closest("tr").show();
        }

    if (widget_type != "MK")
        $("#ref_key_MK").closest("tr").hide();

    if (widget_type != "MI")
        $("#ref_key_MI").closest("tr").hide();

    if (widget_type != "NWS")
        $("#ref_key_NWS").closest("tr").hide();

    if (widget_type != "RAP")
        $("#ref_key_RAP").closest("tr").hide();

    if (widget_type != "RAW")
        $("#content").closest("tr").hide();

    if (widget_type != "FAQ")
        $("#ref_key_FAQ").closest("tr").hide();

    if (widget_type == "MK" || widget_type == "MI" || widget_type == "RAW" || widget_type == "FAQ")
        $("#linkurl").closest("tr").hide();

    if (widget_type == "FAC" || widget_type == "URL" || widget_type == "IMG")
        $("label[for=linkurl]").text(L("fac_widget_url"));
    else if (widget_type == "NWS" || widget_type == "RAP" || widget_type == "FLR")
        $("label[for=linkurl]").text(L("fac_widget_querystring"));

    if (widget_type == "FAC" || widget_type == "URL" || widget_type == "IMG" || widget_type == "FLR")
        $("#linkurl").addClass("required");

    if (widget_type == "MK" || widget_type == "MI")
        $("#refreshtime").closest("tr").hide();

    FcltMgr.resized();
}